Package org.opensaml.core.config.provider

# Class ClasspathConfigurationPropertiesSource

java.lang.Object
org.opensaml.core.config.provider.ClasspathConfigurationPropertiesSource

All Implemented Interfaces:
  `ConfigurationPropertiesSource`

public class ClasspathConfigurationPropertiesSource extends Object implements ConfigurationPropertiesSource
A configuration properties source implementation which obtains the properties set from a resource on the class path.

## Field Summary

Fields
Modifier and Type
Field
Description
`private Properties`
`cachedProperties`
Cache of properties.
`private org.slf4j.Logger`
`log`
Logger.
`private static final String`
`RESOURCE_NAME`
Configuration properties resource name.

## Constructor Summary

Constructors
Constructor
Description
`ClasspathConfigurationPropertiesSource()`

## Method Summary

Modifier and Type
Method
Description
`ConfigurationProperties`
`getProperties()`
Get the property set exposed by the source.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### RESOURCE_NAME

@Nonnull @NotEmpty private static final String RESOURCE_NAME
Configuration properties resource name.

See Also:
  - Constant Field Values

### log

@Nonnull private org.slf4j.Logger log
Logger.

### cachedProperties

@Nullable private Properties cachedProperties
Cache of properties.

## Constructor Details

### ClasspathConfigurationPropertiesSource

public ClasspathConfigurationPropertiesSource()

## Method Details

### getProperties

@Nullable public ConfigurationProperties getProperties()
Get the property set exposed by the source.

Specified by:
  `getProperties` in interface `ConfigurationPropertiesSource`
Returns:
  the properties set or null